> ## Documentation Index
> Fetch the complete documentation index at: https://revinel.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive a tier price



## OpenAPI

````yaml https://api.revinel.com/v1/openapi.json post /workspaces/{workspaceId}/tier-prices/{tierPriceId}/archive
openapi: 3.1.1
info:
  title: Revinel API
  version: 1.0.0
  description: >-
    Public surface of the Revinel platform. Consumed by `@revinel/sdk` and
    `@revinel/react`.


    **Errors** are returned as an oRPC envelope: `{ defined: boolean, code:
    string, status: number, message: string, data?: object }`. Input-validation
    failures return HTTP **422** with `code: "INPUT_VALIDATION_FAILED"` and
    `data.fieldErrors` / `data.formErrors`.
servers:
  - url: https://api.revinel.com/v1
security: []
paths:
  /workspaces/{workspaceId}/tier-prices/{tierPriceId}/archive:
    post:
      tags:
        - Tier Prices (Beta)
      summary: Archive a tier price
      operationId: tierPrices.archive
      parameters:
        - name: workspaceId
          in: path
          required: true
          schema:
            type: string
        - name: tierPriceId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  tierId:
                    type: string
                  isActive:
                    type: boolean
                  interval:
                    enum:
                      - Day
                      - Week
                      - Month
                      - Year
                    type: string
                    description: 'Billing interval: Day, Week, Month, or Year.'
                  intervalCount:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                    description: Number of intervals per billing cycle (usually 1).
                  amount:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                    description: Price in the smallest currency unit (e.g. cents).
                  currency:
                    type: string
                    description: ISO 4217 currency code (e.g. `usd`).
                required:
                  - id
                  - tierId
                  - isActive
                  - interval
                  - intervalCount
                  - amount
                  - currency
        '409':
          description: '409'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: CONFLICT_FIELD
                      status:
                        const: 409
                      message:
                        type: string
                        default: CONFLICT_FIELD
                      data:
                        type: object
                        properties:
                          formErrors:
                            type: array
                            items:
                              type: string
                          fieldErrors:
                            type: object
                            propertyNames:
                              type: string
                            additionalProperties:
                              type: array
                              items:
                                type: string
                        required:
                          - formErrors
                          - fieldErrors
                    required:
                      - defined
                      - code
                      - status
                      - message
                      - data
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message
        '422':
          description: '422'
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      defined:
                        const: true
                      code:
                        const: INPUT_VALIDATION_FAILED
                      status:
                        const: 422
                      message:
                        type: string
                        default: INPUT_VALIDATION_FAILED
                      data:
                        type: object
                        properties:
                          formErrors:
                            type: array
                            items:
                              type: string
                          fieldErrors:
                            type: object
                            propertyNames:
                              type: string
                            additionalProperties:
                              type: array
                              items:
                                type: string
                        required:
                          - formErrors
                          - fieldErrors
                    required:
                      - defined
                      - code
                      - status
                      - message
                      - data
                  - type: object
                    properties:
                      defined:
                        const: false
                      code:
                        type: string
                      status:
                        type: number
                      message:
                        type: string
                      data: {}
                    required:
                      - defined
                      - code
                      - status
                      - message

````